"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LoginWithOTP = void 0;

var _react = require("@ionic/react");

var _react2 = require("react");

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var LoginWithOTP = function LoginWithOTP() {
  var _useReducer = (0, _react2.useReducer)(function () {
    return true;
  }, false),
      _useReducer2 = _slicedToArray(_useReducer, 2),
      isOtpGenerated = _useReducer2[0],
      generateOtp = _useReducer2[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_react.IonItem, null, /*#__PURE__*/React.createElement(_react.IonLabel, {
    position: "floating"
  }, "Phone Number"), /*#__PURE__*/React.createElement(_react.IonInput, {
    disabled: isOtpGenerated
  })), isOtpGenerated ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(_react.IonItem, null, /*#__PURE__*/React.createElement(_react.IonLabel, {
    position: "floating"
  }, "OTP"), /*#__PURE__*/React.createElement(_react.IonInput, {
    type: "password"
  })), /*#__PURE__*/React.createElement("div", {
    style: {
      textAlign: 'center',
      marginTop: '20px'
    }
  }, /*#__PURE__*/React.createElement(_react.IonButton, {
    fill: "solid",
    size: "default",
    style: {
      width: "30%"
    }
  }, "Login"))) : /*#__PURE__*/React.createElement("div", {
    style: {
      textAlign: 'center',
      marginTop: '20px'
    }
  }, /*#__PURE__*/React.createElement(_react.IonButton, {
    fill: "solid",
    size: "default",
    style: {
      width: "30%"
    },
    onClick: generateOtp
  }, "Generate OTP")));
};

exports.LoginWithOTP = LoginWithOTP;